Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.types
Class SingleSimulation

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.sim.Simulation
              avrora.sim.types.SingleSimulation

All Implemented Interfaces:
  HelpItem

public class SingleSimulation
extends Simulation

The `SingleSimulation` class implements a simulation for a single node. This class has its own built-in synchronizer that is designed to accept only one node. It processes command line options to configure monitors and load one program onto one microcontroller and simulate it.

Nested Class Summary
`protected static class` | `SingleSimulation.SingleSynchronizer`

Nested classes inherited from class avrora.sim.Simulation
`Simulation.Monitor, Simulation.Node`

Field Summary
`protected static java.lang.String` | `HELP`

Fields inherited from class avrora.sim.Simulation
`CLOCKSPEED, EXTCLOCKSPEED, MCU, monitorFactoryList, MONITORS, nodes, num_nodes, options, paused, PLATFORM, random, RANDOMSEED, running, SCHEDULE, SECONDS, synchronizer`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`SingleSimulation()`

Method Summary
`void` | `process(Options o, java.lang.String[] args)` The `process()` method processes options and arguments from the command line.

Methods inherited from class avrora.sim.Simulation
`createNode, getNode, getNodeIterator, getNumberOfNodes, getPlatform, getRandom, instantiateNodes, isPaused, isRunning, join, newNode, pause, processMonitorList, removeNode, resume, start, stop, stopNode`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP

    protected static final java.lang.String HELP

See Also:
  Constant Field Values

Constructor Detail

### SingleSimulation

    public SingleSimulation()

Method Detail

### process

    public void process(Options o,
                        java.lang.String[] args)
                 throws java.lang.Exception

  The `process()` method processes options and arguments from the command line. This implementation accepts only a single command line argument that specifies the name of the program to load onto the microcontroller to simulate.

  Specified by:
    `process` in class `Simulation`
  Parameters:
    `o` - the options extracted from the command line
    `args` - the arguments from the command line
  Throws:
    `java.lang.Exception` - if there was a problem loading the file or creating the simulation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD